﻿#### Версия: 4.3.6
#### Дата выпуска: 30.05.2024
1. Доработаны сервисные функции для поддержки функциональности расширения "ФОИВ" версии 1.5.
2. Для расширения ФОИВ. Реализована возможность настройки нескольких адаптеров СКЗИ для филиалов кредитной организации.
3. Оптимизирована производительность работы с СВК при обмене информацией с ФОИВ через ТУ Банка России. Добавлена возможность обработки почтовых сообщений только в статусе "Не просмотрено".  Настройка - в профиле в разделе "Системные" - "Параметры подключения к почтовому серверу" - "Фильтр непрочитанных сообщений".
4. Отключен автоматический приём входящих квитанций через СВК для расширения "Отчётность КО".
5. Изменены наименования статусов транспортных архивов Личного кабинета на экранной форме "Подготовка ЭД".  Статусы приведены в соответствие со статусами формы «Квитирование».

#### Версия: 4.2.7
#### Дата выпуска: 20.05.2024
1. Реализован сервис уведомлений по электронной почте.
2. Добавлена возможность ввода отпечатка сертификата КриптоПро в профиле пользователя.
3. Отключено автоматическое удаление упаковки при изменении отчета в реестре.
4. Реализован алгоритм шифрования ТА ЛК по ГОСТ Р 34.12-2015 - "Магма" и "Кузнечик". Описание в Приложении А руководства администратора. Требуется КриптоПро версии не ниже 5.0.12 R2 (5.0.12000).
5. ФОИВ. Обработка квитанции​ UVKESSF по положению 1459-П. 

#### Версия: 4.1.3
#### Дата выпуска: 26.03.2024
1. Реализован переход от отчета в экранной форме «Хранение» к транспортному архиву в экранной форме «Подготовка ЭД.Входящие», содержащему данный отчет;
2. Добавлена функция автоматической загрузки классификаторов.  Настойка в системном профиле;
3. Реализована возможность указания отпечатка сертификата при настройках сертификатов «КриптоПро» в «Системных настройках»;
4. В экранной форме «Подготовка ЭД.Входящие» добавлены столбцы «Код ЭС» и «Отчётная дата»;
5. Реализовано подписание транспортного архива Личного кабинета по его хэш-сумме плагином «КриптоПро»;
6. Изменен текст уведомления при выгрузке отчёта в Оболочку из расширения «Отчётность КО»;
7. В уведомления об отправке транспортного архива Личного кабинета добавлена дополнительная информация: имя ТА ЛК, имя пользователя-отправителя, код ЭС и его отчётная дата;
8. Адаптер СКЗИ Сигнатуры теперь будет поставляться в виде отдельного модуля, а не в составе оболочки Дельта;
9. ФОИВ: исправлена ошибка обработки kvt1,2 (ИЭС1,2) потока Transfer;
10. Исправлена ошибка, при которой удаляются значения полей сертификатов Крипто Про в профиле при редактировании администратором.

#### Версия: 4.0.12
#### Дата выпуска: 12.03.2024
1. Доработан профиль Оболочки "Рабочее место".  Перегруппированы настройки.  Администратор оболочки теперь может удалённо настраивать профили пользователей.  Подробное описание нового профиля содержится в п. 4.2 руководства пользователя.
2. Реализована поддержка формата метки времени CADESCOM_CADES_X_LONG_TYPE_1 для отсоединённого файла подписи транспортного архива Личного кабинета.
3. В экранных формах "Хранение" и "Подготовка ЭД" реализован доступ к электронным документам на основе разграничения доступа к организациям и формам отчетности в расширении "Отчетность КО".
4. Журнал операций: исключены записи в журнал операций по запросам из базы данных для отображения таблиц в интерфейсе.
5. Доработан вывод записей в файл app.log в части отображения в нем полного ответа Личного кабинета из сообщений типа "lk http message" в режиме DEBUG.
6. Исправлена работа фильтра в Журнале операций.
7. Исправлена ошибка недоступности документации из меню Справка.
8. Реализовано отображение ошибок КриптоПро, информирующих об истечении закрытого ключа, а также истечению срока лицензии КриптоПро.

#### Версия: 3.17.7
#### Дата выпуска: 30.01.2024
1. Доработаны сервисные функции для поддержки расширения «ФОИВ» версии 1.4

#### Версия: 3.17.6
#### Дата выпуска: 23.01.2024
1. Обновление библиотек Spring до 5.3.26, Spring boot до 2.7.10.
2. Реализовано шифрование транспортного архива личного кабинета на нескольких получателей.
3. Реализовано дополнительное подтверждение при изменении рекомендованной схемы подписания при подписании упаковки.
4. ВНИМАНИЕ!  В следующей версии ПП Дельта от 27.02.2024 будет реализован переход на использование метки времени формата CADESCOM_CADES_X_LONG_TYPE_1. при подписании транспортного архива Личного кабинета.  Для функционирования ПП Дельта потребуется установка компонентов «КриптоПро TSP» и «КриптоПро OCSP». Рекомендуется провести подготовку инфраструктуры и ПО  до момента установки обновления ПП Дельта.

#### Версия: 3.16.6
#### Дата выпуска: 25.12.2023
1. Улучшена проверка доступности сервера доверенного времени.
2. Доработана обработка сообщений личного кабинета при неполном составе квитанции.
3. Доработана функциональность по ФОИВ в части чтения квитанций kvt1 по ИТВ Transfer.
4. Исправлена ошибка при выгрузке незашифрованных упаковок. Теперь выгружается с подписями.
5. Исправлен дефект экспорта-импорта упаковок для подписания на другом экземпляре Дельты.
6. В форме «Подготовка ЭД» кнопка «Отправить» теперь не доступна для упаковок, у которых нет ни одной подписи.

#### Версия: 3.16.4
#### Дата выпуска: 13.12.2023
Доработка отправки ТА ЛК в части установки метки времени.

#### Версия: 3.16.3
#### Дата выпуска: 11.12.2023
1. Подписание: сделана возможность добавления/удаления любой подписи к составу подписантов.
2. Подписание: сделана возможность назначения конкретного пользователя на роль подписанта.
3. Подписание: сделана возможность включения в одну упаковку форм с разным составом подписантов.
4. Второй адрес сервера доверенного времени в профиле.
5. Новые настройки соединения с базой данных теперь заполняются значениями по умолчанию.
6. Ускорение работы Центра обновлений – проверка наличия новых обновлений осуществляется быстрее.
7. Актуализация матрицы доступа.
8. Новая версия адаптера СКЗИ 2.2.1 - исправление дефектов.

#### Версия: 3.15.3
#### Дата выпуска: 15.11.2023
1. Новая версия Адаптера СКЗИ 2.2.0 под ППИ "Сигнатура" (v6.0.0486.0) для java.  ВНИМАНИЕ!  Не совместим с более ранними версиями ППИ. 

#### Версия: 3.15.2
#### Дата выпуска: 30.10.2023
1. Реализован просмотр подписантов, подписавших отчёт, на вкладке Исходящие в форме Подготовка ЭД.
2. Сделано шифрование и отправка ТА ЛК при наличии одной любой подписи в схеме подписания.
3. Установка параметров Java-машины (JVM) для запуска расширений добавлена в системные настройки.
4. Доработана отправка ТА ЛК частями с учетом требования ЛК по ограничению на размер части в 4мб.
5. Удален функционал работы с пользовательскими ключами Сигнатуры из персональных настроек каналов связи.
6. Добавлена возможность ведения ключей СКЗИ для нескольких организаций в системных настройках.
7. Сделано ведение комплектов сертификатов Сигнатуры для разных расширений.
8. Отображение версии удаленного адаптера СКЗИ.
9. Новая версия Адаптера СКЗИ 2.1.1.
10. Исправление функции получения настройки сертификата для шифрования ТА ЛК.
11. Уточнена матрица доступа.

#### Версия: 3.14.1
#### Дата выпуска: 18.10.2023
1. Разграничение доступа к формам и упаковкам.  Разграничение доступа можно включить или выключить.  Настройка – в профиле в разделе Системные.  По умолчанию – выключено.
**ВНИМАНИЕ!!!**  Перед обновлением сделайте, пожалуйста, резервную копию.
**ВНИМАНИЕ!!!**  При первоначальном выполнении запуска Дельты после обновления до версии 3.14.1 в СУБД выполняются следующие изменения, которые могут повлиять на длительность запуска Дельта в процессе обновления:
- создаются таблицы разграничения прав доступа пользователей для отчетов и исходящих упаковок;
- выполняется заполнение этих таблиц - первоначальное разграничение прав доступа пользователей.
В связи с тем, что на некоторые виды исходящих упаковок права присваиваются всем пользователям, эта операция может существенно замедлить запуск Дельта в процессе обновления.
2. Хранение обратных квитанций вместе с упаковками (папка receipt).
3. Доработан приём обратных квитанций для упаковок в статусе "Сформирован"  в случае ошибки 500 ЛК.
4. Увеличен размер поля URL в настройках БД расширений в профиле до 512 символов.
5. Новая версия Адаптера СКЗИ 1.9.6.

#### Версия: 3.13.4
#### Дата выпуска: 05.10.2023
Исправление ошибки подписания ТА ЛК с помощью браузерного плагина.


#### Версия: 3.13.3
#### Дата выпуска: 02.10.2023
1. Реализация множественных МЧД на 1 подпись.
2. Отображение даты сертификата в списке предложенных сертификатов при подписании плагином КриптоПро.
3. Доработки по дефекту расхождения времени в форме Квитирование по квитанциям ИЭС1,2 в случае когда сервер Дельта расположен в отличном от московского часовом поясе.

#### Версия: 3.12.6
#### Дата выпуска: 18.09.2023
1. ФОИВ: Удаление временных файлов, используемых для отправки и приема ТА ФОИВ.
2. ФОИВ: Обработка квитанций по ИТВ transfer.
3. ФОИВ: Возможность сжатия АФ ФОИВ перед шифрованием.
4. В Настройки каналов связи -> Пользовательские справочники сертификатов СКАД Сигнатура для одного расширения можно создать несколько ключей.
5. Доработка сообщения при ручной загрузке квитанций из ЛК.
6. Доработки по обработке упаковок по которым получена ошибка 500 из ЛК.  Корректировка статуса и заполнение времени отправки исходящей упаковки по данным из ЛК.
7. Доработка центра обновлений в части сортировки классификаторов по дате.
8. Новая версия Адаптера СКЗИ 1.9.5.

#### Версия: 3.11.4
#### Дата выпуска: 30.08.2023
1. Исправлен дефект по перекрытию названий сертификатов в форме выбора сертификата при подписании плагином КриптоПро.

#### Версия: 3.11.3
#### Дата выпуска: 28.08.2023
1. Передача операций, регистрируемых в журнале, на удалённый сервер Syslog.
2. Отображение IP адреса пользователя в журнале операций.
3. Исключение прав на удаление отчетов в «Хранение» у роли Delta.Shell.Reader.
4. Включение функционала загрузки классификаторов (справочников) в центре обновлений Дельта.
5. Перенос параметров подключения к удаленному адаптеру СКЗИ из конфигурационного файла в системные настройки профиля.  Необходимо перенести настройки в профиль.
6. Удалён устаревший способ хранения сертификатов Сигнатуры в базе данных Дельты.
7. Индикатор «Нет обновлений» в центре обновлений выставляется теперь если загружена только последняя версия метаданных.
8. «Квитирование». Фильтр полей даты.  Ручное задание даты фильтра вместо выбора год-месяц-день.
9. Убрана возможность просмотра пароля ЛК в профиле в браузере в режиме разработчика по F12.
10. Шифрование паролей подключения к базам данных расширений в базе данных Дельты.  Для этого необходимо пересохранить ранее введённые данные подключения. Пароль хранится в таблице UNCL_CORE.DB_PARAM.PASSWD.
11. Повторный запуск Дельта через ярлык.  Было: если вкладка браузера закрыта а Дельта уже запущена, то выдаётся сообщение об этом.  Стало: сообщение не выдаётся, Дельта открывается во вкладке браузера.
12. Новая версия Адаптера СКЗИ 1.9.1.

#### Версия: 3.10.4
#### Дата выпуска: 16.08.2023
1. Исправление ошибки процедуры подписания на сервере в части сообщения о лишнем файле.

#### Версия: 3.10.3
#### Дата выпуска: 14.08.2023
1. Выгрузка незашифрованного ТА ЛК.
2. Поддержка штампов времени в КриптоПро.
3. Недопущение возможного дублирования квитанций ИЭС1, ИЭС2.

#### Версия: 3.9.14
#### Дата выпуска: 24.07.2023
1. Доработка шифрования исходящих архивных файлов ФОИВ.
2. Выпущена новая версия Адаптера СКЗИ 1.8.6.
3. Доработан прием транспортных квитанций ЛК ВП ЕПВВ в случае, когда количество квитанций кратно 100.
4. Добавлена проверка на дублирование сертификатов КриптоПро для ролей подписантов в системных настройках.
5. Изменено описание и состав схем подписания.
6. Добавлены статусы исходящих упаковок, соответствующие транспортным квитанциям - Загружен, Не загружен, В обработке, Не принят в обработку, Зарегистрирован, Не зарегистрирован.


#### Версия: 3.9.10
#### Дата выпуска: 10.07.2023
1. Реализовано шифрование и подписание исходящих архивных файлов ФОИВ (Адаптер СКЗИ 1.8.5)
2. Выпущена новая версия Адаптера СКЗИ 1.8.5.
3. Доработан прием транспортных квитанций ЛК ЕПВВ: принимаются квитанции также и для упаковок в статусе «Сформирован»;
4. Исправлено: в Mozilla Firefox появляются неактивные полосы прокрутки на форме выбора подписантов
5. Доработка: сброс помеченных упаковок после доупаковки.

Необходимо установить новую версию Адаптера СКЗИ 1.8.5.

#### Версия: 3.9.6
#### Дата выпуска: 26.06.2023
1. Произведена унификация интерфейса ПП Дельта для использования нескольких расширений.
2. Скорректирована последовательность автоматической установки УКЭП в зависимости от роли подписанта и настроек приложения и каналов связи.
3. В экранной форме «Подготовка ЭД – Исходящие» реализовано открытие файлов xml и pdf из транспортного архива в окне браузера.
4. Исправлено расширение поля роли в настройках каналов связи в сертификатах.
5. Доработка формирования упаковки, исправлена ошибка прикладывания МЧД.
6. Доработки по дефекту подписания из браузера: исправлена ошибка нумерации подписей. (когда вторая подпись затирала первую).
7. Исправление дефекта по обработке ошибки при загрузке вручную распакованных квитанций ИЭС1 и ИЭС2.
8. Исправлен некорректный порядок ролей подписантов при формировании упаковки СУБД Oracle.
9. Доработка по проверке на различные схемы подписания только для упаковки «мультиформ».
10. Исправление ошибки перезаписи файлов при приеме квитанций на упаковки «мультиформ».
11. Исправлен дефект контроля некорректных квитанций от ТУ БР (ФОИВ).

#### Версия: 3.9.5
#### Дата выпуска: 21.06.2023
1. Доработки по унификации интерфейса.
2. Доработки по дефекту ASPPODDELTA-3811: некорректный порядок ролей подписантов при формировании упаковки для СУБД Oracle.
3. Добавлено логирование при подписании плагином в консоли браузера.
4. В проверку на разные типы вариантов подписания добавлена проверка, что упаковка в 1 файл.
5. Исправлена проверка на разные варианты подписания при упаковке из БД.
6. Доработки по ПЗ вариантов подписания: корректировка порядка ролей подписантов схем подписания и последовательное подписания в соответствие с этим порядком.

#### Версия: 3.9.4
#### Дата выпуска: 19.06.2023
1. ASPPODDELTA-3802 Исправлен вывод текста о подписании упаковки на форме Подписанты отчёта.
2. ASPPODDELTA-3803 Доработка формирования упаковки, исправлена ошибка прикладывания МЧД.
3. Адаптер СКЗИ версии 1.8.2 с увеличенным временем ожидания выполнения криптографических операции.
4. Реализовано открытие файлов xml и pdf в содержимом упаковки в окне браузера.
5. Переименование полей для унификации.
6. ASPPODDELTA-3802 Доработка формирования упаковки, исправлена ошибка прикладывания МЧД.
7. Добавлено поле Расширение в ЭФ "Подготовка ЭД" - "Входящие".
8. ASPPODDELTA-3791 Исправлено расширение поля роли в настройках каналов связи в сертификатах.
9. Доработки по дефекту подписания из браузера: исправлена ошибка нумерации подписей.
10. Исправление дефекта по обработке ошибки при загрузке распакованных квитанций ИЭС1 и ИЭС2.

#### Версия: 3.9.3
#### Дата выпуска: 14.06.2023
1. При создании профиля пользователя данные по ФИО и email подтягиваются с сервера аутентификации.
2. Расширен справочник подписантов.  Добавлены все типы подписантов.
3. Реализованы схемы подписания: комбинации подписантов отчётных форм.
4. Выпущено описание Open API Оболочки Дельта.  См. руководство администратора.
5. Доработка: учет признака актуальности роли справочника ролей подписантов при добавлении сертификата в форме Профиль-Настройки приложения, Настройки каналов связи.

#### Версия: 3.8.4
#### Дата выпуска: 01.06.2023
1.  Реализованы доработки для расширения ФОИВ. 

#### Версия: 3.8.1
#### Дата выпуска: 26.05.2023
1. Реализован функционал замещения подписантов ТА ЛК – Профиль/Системные
2. Реализован функционал по типизации уведомлений.  Разделение уведомлений на типы message, warning и error.
3. Доработки приема транспортных квитанций: учет рассинхронизации времени сервера Дельта и сервера ЛК.
4. Сортировка документации в центре обновлений на Оболочку по убыванию версии.
5. Исправлена ошибка установки статуса входящей упаковки при статусе квитанции "Ошибка СКЗИ".
6. Исправлена ошибка повторного приема удаленных транспортных квитанций (ИЭСр1, ИЭСр2, ИЭСз).
7. Поддержка прокси-сервера, требующего аутентификацию.
8. Обновление списка входящих упаковок при переходе на вкладку "Подготовка ЭД". 

#### Версия: 3.7.2
#### Дата выпуска: 24.04.2023
1. Дистрибутивы «Дельта Оболочка» версии 3.7.2 под Winows и Linux.  Переход на новую JDK.
2. Обновление «Дельта Оболочка» версии 3.7.2 Win, Linux.  Устранено дублирование квитанций в форме «Квитирование» для упаковок, содержащих несколько отчетов.  

#### Версия: 3.6.1
#### Дата выпуска: 07.04.2023
1. Добавление кнопки «Выгрузка архива для подписания другими средствами» и контекстного меню в ЭФ «Подготовка ЭД/Исходящие».
2. Исправлена ошибка повторного подписания ТА ЛК.
3. Увеличение скорости работы экранной формы "Квитирование".
4. Удаление (пометка) отчетной формы в «Хранение».  Помеченные на удаление отчёты не используются в подготовке ЭД.
5. Подготовка ПП Дельта к переходу на использование Центра загрузки ПО Банка России (ЦЗПО).  

ВНИМАНИЕ!  Необходимо обновиться на текущую версию для перехода на ЦЗПО.  После 14.04.2023  центр обновлений Дельта в более ранних версиях Оболочки работать не будет.

#### Версия: 3.5.5
#### Дата выпуска: 31.03.2023
1. Исправление подписания/шифрования ТА ЛК для файлов размером более 32 Мб.

#### Версия: 3.5.4
#### Дата выпуска: 24.03.2023
1. Центр обновлений: исправление отображения статусов для скачанного расширения.

#### Версия: 3.5.3
#### Дата выпуска: 17.03.2023
1. Оптимизация работы уведомлений. Отключено дублирование журнала в уведомления.

Если у вас скопилось более 100 уведомлений, рекомендуем их штатно удалить в панели уведомлений. 

#### Версия: 3.5.2
#### Дата выпуска: 09.03.2023
1. Исключение нижней строки состояния из пользовательского интерфейса оболочки Дельта.
2. Выпущен новый адаптер СКЗИ версии 1.7.2. Добавлена поддержка кириллицы в профиле СКЗИ "Сигнатура".
3. Технические доработки центра обновлений ПП Дельта.
4. В монитор активных пользователей добавлено отображение ролей и времени начала работы пользователя.
5. Разграничение доступа на события в журнале событий в зависимости от роли пользователя.
6. Отображение регистрационного номера, включая номер филиала, в форме квитирования.
7. Отображение условного кода формы в форме квитирования.
8. Обратная сортировка записей в форме квитирования по дате (последние сначала).
9. Оптимизация и повышение производительности.
10. Обработка даты квитанций, которые передаются без учета временной зоны (+0).
11. В меню "Компоненты" добавлена информация о проверке установочных пакетов по контрольной сумме.

Необходимо установить новую версию расширения "Адаптер СКЗИ" 1.7.2.

#### Версия: 3.4.8
#### Дата выпуска: 09.02.2023
1. Выпущен новый адаптер СКЗИ версии 1.7.1
2. Автоматический приём квитанций восстановлен.
3. Скорректирован алгоритм формирования имени файла ТК.
4. Уточнен доступ пользователя с ролью READER к настройкам каналов связи.
5. Исправлен дефект квитирования Тквит с ТК.
6. Исправлен дефект квитирования ИЭС1 и ИЭС2 с ТК.
7. Исправлен дефект формирования нескольких файлов ТК с одинаковыми именами.
8. Доработан процесс соединения с ЛК для устранения ошибки обрезания входящих архивов квитанций.
9. Активирован раздел общих настроек интерфейса в профиле для ролей Администратор и АИБ.

Необходимо установить новую версию расширения "Адаптер СКЗИ" 1.7.1.

#### Версия: 3.3.9
#### Дата выпуска: 26.12.2022
1. Исключено дублирование записей в списке сертификатов получателей в настройках СКЗИ. 
2. Исключено дублирование сертификатов при шифровании. 
3. Доработан вывод сообщения об ошибке шифрования.
4. Выпущена новая версия расширения "Адаптер СКЗИ" 1.7.0.

Необходимо установить новую версию расширения "Адаптер СКЗИ" 1.7.0.

#### Версия: 3.3.8
#### Дата выпуска: 13.12.2022
1. Добавлена возможность отправки администратором коротких сообщений активным пользователям.
2. Распространение документации вместе с ПО в формате PDF.
3. Переключение цветовой темы оболочки и установка произвольного текста заголовка в браузере.
4. Добавлена поддержка передачм транспортных архивов в ЛК по протоколу Aspera. 

#### Версия: 3.2.3
#### Дата выпуска: 14.11.2022
1. Добавлен монитор активных пользователей для сетевого режима.
2. Выпущена новая версия расширения "Адаптер СКЗИ" 1.6.0.

Необходимо установить новую версию расширения "Адаптер СКЗИ" 1.6.0.

#### Версия: 3.1.2
#### Дата выпуска: 20.10.2022
1. Добавлена новая роль оболочки Delta.Shell.Reader с ограниченными полномочиями.
2. Реализована возможность получения пакета метаданных через центр обновлений.
3. Повышена информативность сообщений об ошибках при получении обновлений.
4. Исправлены обнаруженные ошибки.

Данное обновление может быть установлено на оболочку, начиная с версии 3.0.8.

#### Версия: 3.0.8
#### Дата выпуска: 29.09.2022
1. Обновлено основное меню.  Вкладки «Управление» и «Сервисные функции» сведены в одну, обновления и управление расширениями перенесены в центр обновлений «Компоненты».  Убрано обновление НСИ и метаданных.  Используйте данные функции в расширении.
2. Реализация работы с Центром Обновлений (меню "Компоненты") для Оболочки и Расширений.  Загрузка метаданных будет добавлена в следующих версиях.  Загрузка справочников - в 2023 году.
3. Интеграция со справочником сертификатов СКАД "Сигнатура".  Сертификаты (как персональные, так и общие) берутся из справочника сертификатов СКАД "Сигнатура", а не из расположенных на диске или загруженных в базу данных Дельта.  Настройка общих - в профиле "Системные настройки", персональных - в настройке профиля расширения СКЗИ.  В дальнейшем старый способ хранения сертификатов будет удалён.
4. Добавлена возможность принудительного останова расширения при задержке штатного останова более 10 секунд.
5. Добавлен статус отчета "Упакован" в реестре отчетной информации, в случае если отчет попал в упаковку.
6. Оптимизация работы сетевого шлюза Дельты. 
7. Новая версия адаптера СКЗИ 1.5.1. Работа со справочником сертификатов "Сигнатура".  Оптимизация и исправления ошибок.
8. Возможность установки обновления расширения из ZIP-архива. Теперь расширение "Отчетность КО" не обязательно распаковывать перед установкой.
9. Добавлен контроль совместимости версии оболочки с обновлением.
10. Исправлены обнаруженные ошибки.

Необходимо установить новую версию расшришения "Отчетность КО" и адаптера СКЗИ 1.5.1.

#### Версия: 2.9.8
#### Дата выпуска: 12.08.2022
1. Устранение дефекта длительного старта ПО из-за запуска автоматической архивации журнала операций.

#### Версия: 2.9.7
#### Дата выпуска: 20.07.2022
1. Реализовано шифрование ТК на нескольких получателей. Необходимо обновить плагин СКЗИ.
2. Оптимизация скорости работы сервиса отображения журнала операций.
3. Доработка квитирования ТА ЛК: добавлен алгоритм изменения статуса исходящей упаковки по статусу отчетов.
4. Реализована возможность отправки ТК на несколько почтовых адресов.
5. Реализовано использование системных настроек СЭП для отправки ТК из расширения "Отчетность КО".
6. Справочники сертификатов Сигнатуры теперь могут быть настроены сразу для всех пользователей в меню "Системные".
7. Разделение ТА ЛК на части при отправке отчетов в ЛК ЕПВВ.  Разбиение происходит автоматически при превышении размера ТА в 100 Мб.
8. Доработка загрузки квитанций ТА ЛК в фоновом режиме: добавлена проверка ЭЦП квитанций ИЭС1,2.
9. Добавлена возможность удаления ненужных загруженных сертификатов СКЗИ.
10. Добавлена возможность запуска Дельты в режиме службы Windows.  Описание - в руководстве администратора.
11. Добавлена возможность удаления готового к установке обновления.
12. Выпущена обновленная версия расширения Адаптер СКЗИ 1.3.0.
13. Выпущен ознакомительный релиз под Linux, тестировался на дистрибутиве Ubuntu.
14. Исправлены обнаруженные ошибки.

Рекомендуется установить новую версию расширения "Адаптер СКЗИ" 1.3.0.

#### Версия: 2.8.4
#### Дата выпуска: 30.05.2022
1. Исправлены обнаруженные ошибки. 
2. Скорректировано вычисление атрибута ИмяЗадачи, значение атрибута ПолучательТК теперь не зависит от заполнености поля "Рег. номер отправителя". 
3. Выполнен перенос настроек каналов связи в Системные для общего использования.
4. Реализовано отображение имени пользователя.
5. Реализовано удаление уже принятых ИЭС из каталога и из почтового ящика.

Рекомендуется перенести настройки каналов связи в раздел Системные, чтобы сделать их общими для всех пользователей. 

#### Версия: 2.7.1
#### Дата выпуска: 29.04.2022
1. Исправлены обнаруженные ошибки. 
2. Реализован автоматический прием квитанций через СВК и каталоги. 
3. Разрешена ЭФ "Расширения" для пользователя с ролью АИБ.
4. Выпущена новая версия расширения "Адаптер СКЗИ"  версии 1.2.2.

После обновления: удалить устаревшее расширение "Адаптер СКЗИ" и установить новое - версии 1.2.2. 

#### Версия: 2.6.4
#### Дата выпуска: 19.04.2022
1. Исправление дефекта загрузки обратных квитанций ИЭС1 и ИЭС2, полученных через СЭП. 
2. Новая версия адаптера СКЗИ 1.2.1 для СКАД Сигнатура.
3. Исправление дефекта экспорта профиля
4. Восстановление работоспособности отправки отчетов по СЭП из расширения «Отчетность КО»
5. Исправление ошибок и оптимизация работы.

##### Выполнить перед обновлением:
 - перенести директории хранения упаковок и квитанций (TK, TA_LK, Receipt, Reports), 
   хранящиеся в папке %USERPROFILE% \ Документы (Documents), в хранилище файлов Дельта (по умолчанию %USERPROFILE%\.delta).    
   В случае отсутствия директорий Receipt\TA их необходимо создать вручную.

##### Известные ошибки:
 - временно в регионах, кроме Московского, не будет работать автоматический приём обратных квитанций из СЭП


#### Версия: 2.5.8
#### Дата выпуска: 31.03.2022
1.  Полная поддержка Сигнатуры 6.  Реализован алгоритм шифрования ГОСТ 2015.  Необходимо обновить плагин СКЗИ Дельта.  Исправления ошибок отправки и приёма обратных ИЭС1,2.
2.  Уведомления.  Поддержка сетевого режима.  Сокращено количество уведомлений.
3.  Профиль. Настройка ЛК. Добавлена возможность ввести символ «_» в логине ЛК.  Убрана возможность просмотра пароля.
4.  Профиль. Настройка СЭП.  Изменения в настройках: настройки «Обратный адрес» и «Логин отправителя».  Проверьте настройки после обновления!
5.  Подготовка ЭД.  Исключены просроченные сертификаты Сигнатуры в выборе при подготовке ТК.
6.  Отключены проверки цепочки сертификатов в Дельте при работе с ЛК.
7.  Изменены директории хранения упаковок и квитанций на %USERPROFILE% \ .delta вместо %USERPROFILE% \ Документы(Documents).  Директории создаются автоматически.  Добавлена настройка директории - Управление->Профили->Настройки приложения->Хранение данных->Директория хранения по умолчанию.
8.  Исправление найденных ошибок и оптимизация работы.

##### Известные ошибки:
 - не отправляется отчетность по СВК непосредственно из расширения "Отчетность КО".  Пользуйтесь отправкой из Оболчки Дельта.
 - возможны ошибки при приёме квитанций Тквит. Можно игнорировать. ИЭС1,2 должны приниматься правильно.


#### Версия: 2.4.1
#### Дата выпуска: 01.03.2022
1.	Автоматический приём обратных квитанций через каталог.  Настройка: Профиль - Системные
2.	Кнопка «Выход».  Для возможности сменить пользователя.
3.	Новый драйвер MS SQL  mssql-jdbc-9.4.1.jre11.jar. 

#### Версия: 2.3.2
#### Дата выпуска: 16.02.2022
1.   Реализована возможность автоматического приёма обратных квитанций через определённые промежутки времени по каналам ЛК и СЭП (СВК).   Настройка: Профиль - Системные
2.   Расширены настройки электронной почты (СЭП): добавлены параметры SSL и обратного адреса.
3.   Исправление обнаруженных дефектов.

#### Версия: 2.2.7
#### Дата выпуска: 04.02.2022
##### Подготовка ЭД:
1.   Реализована передача отчетности в ЛК по разным маршрутам в зависимости от вида деятельности организации: Кредитная организация, Банковский холдинг или Оператор платежных систем.  Форма 0409310 также остаётся на отдельном маршруте.
2.   Реализована поддержка Машиночитаемой доверенности (МЧД).
3.   Интеграция с расширением в части приёма маршрута и ролей подписантов.  При вкючении отчета "из БД" (из расширения Отчетность КО) автоматически устанавливается маршрут передачи в ЛК и роли подписантов.
4.   Реализовано включение нескольких форм отчетности в одну упаковку для отправки в БР.

##### Квитирование:
5.   В форме квитирования добавлен Рег. номер упаковки.  Для облегчения поиска упаковки в Банке России при разрешении проблемных ситуаций.

#### Версия: 2.1.4
#### Дата выпуска: 27.12.2021
  1. Администратору оболочки Дельта открыт доступ к профилю расширения
  2. Реализованы различные варианты подписания упаковки ТА ЛК:
    - Появилась возможность подписания упаковки с рабочих мест ответственных лиц
    - Локальное хранение личных сертификатов в браузерном плагине Крипто-про
    - Возможность выгрузки упаковки на съемный носитель для раздельного подписания
    - Загрузка готовой упаковки ТА ЛК для отправки в личный кабинет
  3. Добавлена возможность отправки ТК в отдельную настраиваемую папку, и приём обратных извещений из отдельно настраиваемой папки
  4. Добавлена возможность ручной загрузки ответных квитанций ИЭС1/2 из файлов, пришедших из личного кабинета.
  5. Исправлена ошибка шифрования при подготовке ТК.  Необходимо установить новый плагин СКЗИ 1.0.0.

#### Версия: 2.0.2
#### Дата выпуска: 02.12.2021
- Реализована поддержка 3-х режимов: однопользовательский, многопользовательский и сетевой.
